from django.contrib import admin
from .models import Intent, ValueTag, Profile

@admin.register(Intent)
class IntentAdmin(admin.ModelAdmin):
    list_display = ('name', 'icon')

@admin.register(ValueTag)
class ValueTagAdmin(admin.ModelAdmin):
    list_display = ('name',)

@admin.register(Profile)
class ProfileAdmin(admin.ModelAdmin):
    list_display = ('user', 'gamer_tag', 'primary_game', 'rank', 'location_city')
    filter_horizontal = ('intents', 'value_tags')

